%global _empty_manifest_terminate_build 0
Name:		python-astral
Version:	3.2
Release:	1
Summary:	Calculations for the position of the sun and moon.
License:	Apache-2.0
URL:		https://github.com/sffjunkie/astral
Source0:	https://files.pythonhosted.org/packages/04/d1/1adbf06a38dc339e41a1666f6c7135924594c20fd46e060fb263248c564d/astral-3.2.tar.gz
BuildArch:	noarch

Requires:	python3-pyt
Requires:	python3-dataclasses

%description
This is 'astral' a Python module which calculates
    * Times for various positions of the sun: dawn, sunrise, solar noon,
      sunset, dusk, solar elevation, solar azimuth and rahukaalam.
    * The phase of the moon.

%package -n python3-astral
Summary:	Calculations for the position of the sun and moon.
Provides:	python-astral = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-astral
Calculations for the position of the sun and moon.

%package help
Summary:	Development documents and examples for astral
Provides:	python3-astral-doc
%description help
Calculations for the position of the sun and moon.

%prep
%autosetup -n astral-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-astral -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Dec 16 2022 liqiuyu <liqiuyu@kylinos.cn> - 3.2-1
- Update package to version 3.2

* Thu Jul 16 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
